### Method

# Gtk FontChooserget_font_desc

deprecated: 4.10

#### Declaration [src]

    PangoFontDescription*
    gtk_font_chooser_get_font_desc (
      GtkFontChooser* fontchooser
    )

#### Description [src]

Gets the currently-selected font.

Note that this can be a different string than what you set with `gtk_font_chooser_set_font()`, as the font chooser widget may normalize font names and thus return a string with a different structure. For example, “Helvetica Italic Bold 12” could be normalized to “Helvetica Bold Italic 12”.

Use `pango_font_description_equal()` if you want to compare two font descriptions.

Deprecated since: 4.10

Use `GtkFontDialog` and `GtkFontDialogButton` instead.

Gets property | `Gtk.FontChooser:font-desc`

#### Return value

Type: `PangoFontDescription`

A `PangoFontDescription` for the current font.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.